system.file {base} | R Documentation

## Find Names of R System Files

### Description

Finds the full file names of files in packages etc.

### Usage

    system.file(..., pkg = .packages(), lib = .lib.loc)

### Arguments

`...` | character strings, specifying subdirectory and file(s) within some package. The default, none or `""`, returns the root of package(s). Wildcards are not supported.
`pkg` | a character vector with package names.
`lib` | a character vector with path names of R package libraries, see `.lib.loc` for the default.

### Value

A character vector of positive length, containing the file names that matched `...`, or the empty string, `""`, if none matched. If matching the root of a package, there is no trailing separator.
As a special case, `system.file()` gives the root of the `base` package only.

### See Also

`list.files`

### Examples

    system.file()              # The root of the `base' package
    system.file(pkg = "lqs")   # The root of package `lqs'
    system.file("INDEX")
    system.file("help", "AnIndex", pkg = c("stepfun", "mva"))